# $EPIC: urlencode,v 1.5 2003/11/07 21:28:09 elmo Exp $
Synopsis:
   $urlencode(<text>)

Technical:
   * If the <text> argument is omitted the empty string is returned.
   * Otherwise, the return function is a copy of <text>, except that all
     instances of the following characters are replaced as noted:

	<space>		%20 		!		%21 
	"		%22		#		%23
	$		%24		%		%25
	&		%26		'		%27
	(		%28		)		%29
	*		%2A 		,		%2C
	/		%2F 		;		%3B
	<		%3C 		>		%3E
	?		%3F 		@		%40
	\		%5C		^		%5E
	`		%60		{		%7B
	|		%7C		}		%7D
	~		%7E

Practical:
   This can be used to mangle text passed to the /exec command so that
   it does not contain dangerous meta-characters.  You could also rename
   files sent via dcc.

Returns:
   The input <text> with many punctuation marks substituted with
   "url encoded" equivalents.

See Also:
    urldecode(6)
